%!TEX root = Slic3r-Manual.tex
\index{download}
\index{binaries}
\index{Source Code}
\index{GitHub}
\index{license}

\fbox{
	\parbox{\linewidth}{
		Slic3r is Free Software, and is licensed under the GNU Affero General Public License, version 3.
	}
}	

\subsection{Downloading}

\subsubsection{From LulzBot} % (fold)
\label{sub:from_LulzBot}
The Slic3r version that has been tested for the Mini 3D printer can be downloaded from the LulzBot.com downloads page: \texttt{https://www.lulzbot.com/support/downloads}.

Pre-compiled packages are available for Windows, Mac OS X and Linux.  Windows and Linux users can choose between 32 and 64 bit versions to match their system.
% subsubsection From LulzBot (end)

\subsubsection{Slic3r} % (fold)
\label{sub:slic3r}
Slic3r can be downloaded directly from: \texttt{http://slic3r.org/download}.

Pre-compiled packages are available for Windows, Mac OS X and Linux.  Windows and Linux users can choose between 32 and 64 bit versions to match their system.
% subsubsection slic3r (end)

\subsubsection{Manual} % (fold)
\label{sub:manual}

The latest version of full Slic3r manual, with {\LaTeX} source code, can be found at: \texttt{https://github.com/alexrj/Slic3r-Manual}

% subsubsection manual (end)

\subsubsection{Source} % (fold)
\label{sub:source}

The source code is available via GitHub: \texttt{https://github.com/alexrj/Slic3r}. For more details on building from source see §\ref{sec:building_from_source} below.

% subsubsection source (end)

\subsection{Installing}

\subsubsection{Linux}

Extract the archive to a folder of your choosing.
Either:
\begin{itemize}
\item Start Slic3r directly by running the Slic3r executable, found in the bin directory, or
\item Install Slic3r by running the do-install executable, also found in the bin folder.
\end{itemize}
The archive file may then be deleted.

\subsubsection{Windows}

Unzip the downloaded zip file to a folder of your choosing, there is no installer script. The resulting folder contains two executables:
\begin{itemize}
\item \texttt{slic3r.exe} - starts the GUI version.
\item \texttt{slic3r-console.exe} - can be used from the command line.
\end{itemize}

The zip file may then be deleted.

\subsubsection{Mac OS X}

Double-click the downloaded dmg file, an instance of Finder should open together with an icon of the Slic3r program.  Navigate to the Applications directory and drag and drop the Slic3r icon into it.
The dmg file may then be deleted.



\subsection{Building from source} % (fold)
\label{sec:building_from_source}

For those wishing to live on the cutting edge, Slic3r can be compiled from the latest source files found on GitHub \texttt{https://github.com/alexrj/Slic3r}.

Up-to-date instructions for compiling and running from source can be found on the Slic3r wiki.

%\begin{itemize}
%   \item \textbf{GNU Linux} \par \texttt{https://github.com/alexrj/Slic3r/wiki/Running-Slic3r-from-git-on-GNU-Linux}
%    \item \textbf{OS X} \par	\texttt{https://github.com/alexrj/Slic3r/wiki/Running-Slic3r-from-git-on-OS-X}
%    \item \textbf{Windows} \par	\texttt{https://github.com/alexrj/Slic3r/wiki/Running-Slic3r-from-git-on-Windows}

%\end{itemize}
